org.encog.ml

## Enum TrainingImplementationType

- java.lang.Object
- - java.lang.Enum<TrainingImplementationType>
  - - org.encog.ml.TrainingImplementationType

- All Implemented Interfaces:
    Serializable, Comparable<TrainingImplementationType>

      public enum TrainingImplementationType
      extends Enum<TrainingImplementationType>

  Specifies the type of training that an object provides.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Background` Background - Training continues in the background until it is either finished or is stopped.
    `Iterative` Iterative - Each iteration attempts to improve the machine learning method.
    `OnePass` Single Pass - Only one iteration is necessary.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TrainingImplementationType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TrainingImplementationType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Iterative

          public static final TrainingImplementationType Iterative

      Iterative - Each iteration attempts to improve the machine learning method.

    - #### Background

          public static final TrainingImplementationType Background

      Background - Training continues in the background until it is either finished or is stopped.

    - #### OnePass

          public static final TrainingImplementationType OnePass

      Single Pass - Only one iteration is necessary.

  - ### Method Detail

    - #### values

          public static TrainingImplementationType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TrainingImplementationType c : TrainingImplementationType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TrainingImplementationType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.